Bug 877391 - (CVE-2012-5513) CVE-2012-5513 kernel: xen: XENMEM_exchange may overwrite hypervisor memory
CVE-2012-5513 kernel: xen: XENMEM_exchange may overwrite hypervisor memory
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20121203,repo...
: Security
Depends On: 878033 878034 883088
Blocks: 877406
  Show dependency treegraph
 
Reported: 2012-11-16 07:05 EST by Petr Matousek
Modified: 2015-02-16 10:43 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 10:03:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-11-16 07:05:35 EST
The handler for XENMEM_exchange accesses guest memory without range checking
the guest provided addresses, thus allowing these accesses to include the
hypervisor reserved range.
                                                                                                                                                             
A malicious PV guest administrator can cause Xen to crash.  If the out of address
space bounds access does not lead to a crash, a carefully crafted privilege
escalation cannot be excluded, even though the guest doesn't itself control
the values written.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2012-11-16 07:08:35 EST
Statement:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 8 Petr Matousek 2012-12-03 13:16:13 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 883088]
Comment 9 errata-xmlrpc 2012-12-04 15:56:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1540 https://rhn.redhat.com/errata/RHSA-2012-1540.html
Comment 10 Fedora Update System 2012-12-11 19:16:24 EST
xen-4.2.0-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-12-13 01:00:38 EST
xen-4.1.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-12-15 12:56:04 EST
xen-4.1.3-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.